""" Table headers for invoice data. """
INVOICE_HEADER = [
    "Invoice_Header_id",
    "CompanyCode",
    "CreateDate",
    "InvoiceDate",
    "InvoiceNumber",
    "InvoiceOrigin",
    "InvoiceSourceDocument",
    "InvoiceSubmissionMethod",
    "MaxDiscountApplicable_ApproxAmountInBaseCurrency",
    "PaymentTerms",
    "ScheduledPaymentDate",
    "SubmitDate",
    "Supplier_Name",
    "TotalInvoicedLessTax_ApproxAmountInBaseCurrency",
    "ResubmitDate",
    "TimeUpdated",
]
INVOICE_LINE_ITEMS = [
    "Invoice_Header_id",
    "Invoice_Item_id",
    "Amount_ApproxAmountInBaseCurrency",
    "Description_Description",
    "Description_SupplierPartNumber",
    "Description_UnitOfMeasure",
    "Order",
    "OrderLineNumber",
    "Quantity",
    "ShipTo_Name",
    "TaxDetail_Description",
    "TimeUpdated",
]

INVOICE_APPROVAL_RECORDS = [
    "Invoice_Header_id",
    "Date",
    "TimeUpdated",
]

INVOICE_APPROVAL_REQUESTS = [
    "Invoice_Header_id",
    "ActivationDate",
    "ManuallyAdded",
    "RuleName",
    "TimeUpdated",
]


