""" Table headers for all orders: Copy Orders, Direct Orders, ERP Orders. """
ORDER_HEADER = [
    "Order_Header_id",
    "ApprovedDate",
    "CompanyCode",
    "CreateDate",
    "IsServiceOrder",
    "ManuallyOrdered",
    "Name",
    "OrderMethodCategory",
    "Requester",
    "ResubmitDate",
    "StatusString",
    "Supplier",
    "Supplier_Name",
    "TimeUpdated",
]

ORDER_LINE_ITEMS = [
    "Order_Header_id",
    "Order_Item_id",
    "Amount_ApproxAmountInBaseCurrency",
    "BillingAddress_City",
    "BillingAddress_Country",
    "Description_CommonCommodityCode_Name",
    "Description_Description",
    "Description_SupplierPartNumber",
    "Description_UnitOfMeasure",
    "EndDate",
    "NeedBy",
    "NumberConfirmedAccepted",
    "NumberOnReq",
    "Quantity",
    "Requisition",
    "ShipTo_Lines",
    "ShipTo_Name",
    "TaxDetail_FormulaString",
    "TimeUpdated",
]

ORDER_SPLIT_ACCOUNTINGS = [
    "Order_Header_id",
    "Order_Item_id",
    "CostCenter_CostCenterDescription",
    "TimeUpdated",
]
